Bug 90461 - Update port: games/xbl update to 1.1.3
Summary: Update port: games/xbl update to 1.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tim Bishop
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-15 21:40 UTC by Jean Milanez Melo
Modified: 2005-12-16 15:39 UTC (History)
0 users

See Also:


Attachments
xbl.diff (2.99 KB, patch)
2005-12-15 21:40 UTC, Jean Milanez Melo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean Milanez Melo 2005-12-15 21:40:02 UTC
	
- Update port to 1.1.3. It will fix the fetch problem.
- Updated the mastersite.
- Fixed man install problem on port.
Comment 1 Tim Bishop freebsd_committer 2005-12-15 22:52:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tdb

I'll take it.
Comment 2 Tim Bishop freebsd_committer 2005-12-16 11:35:41 UTC
State Changed
From-To: open->feedback

This update breaks on 4-STABLE: 

http://www.cs.kent.ac.uk/~tdb/tinderbox/index.php?action=describe_port&id=285 

Can you either come up with a patch to fix the problem, or revise 
your update to mark it BROKEN on 4.x. 

Thanks, 
Tim.
Comment 3 Jean Milanez Melo 2005-12-16 12:32:57 UTC
Tim,

Following the updated patch marked as broken on 4.x:

diff -ruN xbl.old/Makefile xbl/Makefile
--- xbl.old/Makefile	Fri Dec 24 21:54:44 2004
+++ xbl/Makefile	Fri Dec 16 10:26:02 2005
@@ -6,9 +6,9 @@
  #

  PORTNAME=	xbl
-PORTVERSION=	1.1.2
+PORTVERSION=	1.1.3
  CATEGORIES=	games
-MASTER_SITES=	ftp://ftp710.univ-lyon1.fr/pub/xbl/
+MASTER_SITES=	http://www710.univ-lyon1.fr/~exco/XBL/

  MAINTAINER=	ports@FreeBSD.org
  COMMENT=	A 3D block-dropping game
@@ -17,6 +17,12 @@

  USE_X_PREFIX=	yes
  GNU_CONFIGURE=	yes
-MANN=		xbl.n
+MAN1=		xbl.1

-.include <bsd.port.mk>
+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} < 500000
+BROKEN=		"Does not compile on FreeBSD 4.x"
+.endif
+
+.include <bsd.port.post.mk>
diff -ruN xbl.old/distinfo xbl/distinfo
--- xbl.old/distinfo	Wed Nov 30 13:45:05 2005
+++ xbl/distinfo	Fri Dec 16 10:18:45 2005
@@ -1,3 +1,3 @@
-MD5 (xbl-1.1.2.tar.gz) = 81b918d78c1f78ff05cdaab9f4589538
-SHA256 (xbl-1.1.2.tar.gz) = 
f2015c2ecf65c6cbc75a5441accf1a3baa3b82f208c1b30dad8478e80d3292ff
-SIZE (xbl-1.1.2.tar.gz) = 136082
+MD5 (xbl-1.1.3.tar.gz) = 2fcada6f23e1f4bb3c4a33481bfefb80
+SHA256 (xbl-1.1.3.tar.gz) = 
c6752a59ceef9f28b2df36df7da5c8018edc1be4cb977ca74558865620284e85
+SIZE (xbl-1.1.3.tar.gz) = 136411
diff -ruN xbl.old/files/patch-aa xbl/files/patch-aa
--- xbl.old/files/patch-aa	Tue Jun 24 20:08:11 2003
+++ xbl/files/patch-aa	Fri Dec 16 10:18:45 2005
@@ -1,8 +1,5 @@
-
-$FreeBSD: ports/games/xbl/files/patch-aa,v 1.9 2003/06/24 23:08:11 
naddy Exp $
-
---- Makefile.in.orig	Thu Jun 19 03:01:36 2003
-+++ Makefile.in	Thu Jun 19 03:04:15 2003
+--- Makefile.in.old	Mon Nov  7 19:50:05 2005
++++ Makefile.in	Thu Dec 15 19:25:55 2005
  @@ -83,7 +83,7 @@

   # For linking (configure script will modify this line)
@@ -12,7 +9,12 @@

   all:demo

-@@ -128,25 +128,17 @@
+@@ -124,29 +124,21 @@
+ 	@echo "Executable go in $(BINDIR)"
+ 	@echo "Scores     go in $(SCOREDIR)"
+ 	@echo "Defaults   go in $(RESOURCEDIR)/Xbl"
+-	@echo "Man pages  go in $(MANPATH)/mann or man1"
++	@echo "Man pages  go in $(MANPATH)/man1"
   	@-if [ "" != "$(USE_SETGID)" ] ; then \
   		echo "You use GID=$(GROUP_GID) protection" ; \
   		fi
@@ -40,7 +42,7 @@
   	-if [ "" = "$(USE_SETGID)" ] ; then \
   	     chmod 755  $(BINDIR)/xbl ;\
   	   else \
-@@ -160,7 +152,6 @@
+@@ -160,30 +152,20 @@
   	-mkdir $(SCOREDIR) 2>/dev/null
   	$(CP) Xbl.ad  $(RESOURCEDIR)/Xbl ;	chmod 644 $(RESOURCEDIR)/Xbl
   	$(CP) Xbl.ad  $(SCOREDIR)/Xbl ;		chmod 644 $(SCOREDIR)/Xbl
@@ -48,3 +50,27 @@
   	-if [ "" = "$(USE_SETGID)" ] ; then \
   	     chmod 777 $(SCOREDIR) ;\
   	     chmod 666 $(SCOREDIR)/[1-9]* ;\
+ 	   else \
+ 	     chmod 775 $(SCOREDIR) ;\
+-	     chmod 664 $(SCOREDIR)/[1-9]* ;\
+-	     chown root $(SCOREDIR) $(SCOREDIR)/[1-9]* ;\
+-	     chgrp $(GROUP_GID) $(SCOREDIR) $(SCOREDIR)/[1-9]* ;\
+ 	fi
+ 	#
+ 	# Install manual pages
+ 	#
+-	-if [ -d $(MANPATH)/mann ] ; \
+-		then \
+-		$(CP) xbl.man $(MANPATH)/mann/xbl.n ;\
+-		chmod 444 $(MANPATH)/mann/xbl.n ; \
+-	   else \
+ 		$(CP) xbl.man $(MANPATH)/man1/xbl.1 ;\
+ 		chmod 444 $(MANPATH)/man1/xbl.1 ; \
+-		fi
+ 	cp *.gif *.html $(SCOREDIR)
+ 	#
+-	-ls -lsa $(SCOREDIR) $(BINDIR)/xbl $(MANPATH)/man[1n]/xbl.[1n]
++	-ls -lsa $(SCOREDIR) $(BINDIR)/xbl $(MANPATH)/man1/xbl.1
+ 	@echo "Type xbl to play"
+
+ bl:$(OBJ)
diff -ruN xbl.old/files/patch-aa.orig xbl/files/patch-aa.orig
--- xbl.old/files/patch-aa.orig	Wed Dec 31 21:00:00 1969
+++ xbl/files/patch-aa.orig	Tue Jun 24 20:08:11 2003
@@ -0,0 +1,50 @@
+
+$FreeBSD: ports/games/xbl/files/patch-aa,v 1.9 2003/06/24 23:08:11 
naddy Exp $
+
+--- Makefile.in.orig	Thu Jun 19 03:01:36 2003
++++ Makefile.in	Thu Jun 19 03:04:15 2003
+@@ -83,7 +83,7 @@
+
+ # For linking (configure script will modify this line)
+ # xmkmf et imake informations are take into account.
+-LIBS = @LIBS@ -lm
++LIBS = @LIBS@ -lm -lX11 -lcompat
+
+ all:demo
+
+@@ -128,25 +128,17 @@
+ 	@-if [ "" != "$(USE_SETGID)" ] ; then \
+ 		echo "You use GID=$(GROUP_GID) protection" ; \
+ 		fi
+-	@echo "Type <Return> to continue installation"
+-	@echo "Type NO       to stop installation"
+-	@read LINE && test "" = "$$LINE"
+ 	#
+ 	# Remove old score file
+ 	#
+ 	@-if [ -d "$(SCOREDIR)" ] ; \
+ 		then \
+-		echo "The scoring method and speeds of Xbl had change" ; \
+-		echo "If your version is older than 0.2e, destroy score." ; \
+-		echo "Type <Return> to destroy old score files" ; \
+-		echo "Type NO       to hold old score files" ; \
+-		read LINE && test "" = "$$LINE" && rm $(SCOREDIR)/[1-9]* ; \
+-		exit 0 ; \
++		rm $(SCOREDIR)/[1-9]* ; \
+ 		fi
+ 	#
+ 	# Install executable
+ 	#
+-	$(CP) bl $(BINDIR)/xbl	
++	$(BSD_INSTALL_PROGRAM) bl $(BINDIR)/xbl	
+ 	-if [ "" = "$(USE_SETGID)" ] ; then \
+ 	     chmod 755  $(BINDIR)/xbl ;\
+ 	   else \
+@@ -160,7 +152,6 @@
+ 	-mkdir $(SCOREDIR) 2>/dev/null
+ 	$(CP) Xbl.ad  $(RESOURCEDIR)/Xbl ;	chmod 644 $(RESOURCEDIR)/Xbl
+ 	$(CP) Xbl.ad  $(SCOREDIR)/Xbl ;		chmod 644 $(SCOREDIR)/Xbl
+-	$(CP) COPYING  $(SCOREDIR) ;		chmod 444 $(SCOREDIR)/COPYING
+ 	-if [ "" = "$(USE_SETGID)" ] ; then \
+ 	     chmod 777 $(SCOREDIR) ;\
+ 	     chmod 666 $(SCOREDIR)/[1-9]* ;\
Comment 4 Tim Bishop freebsd_committer 2005-12-16 15:39:49 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!